<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for InterfaceBlockedVehicleResult StructType
 * @subpackage Structs
 */
class InterfaceBlockedVehicleResult extends AbstractStructBase
{
    /**
     * The Date
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $Date;
    /**
     * The Activated
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $Activated;
    /**
     * Constructor method for InterfaceBlockedVehicleResult
     * @uses InterfaceBlockedVehicleResult::setDate()
     * @uses InterfaceBlockedVehicleResult::setActivated()
     * @param string $date
     * @param bool $activated
     */
    public function __construct($date = null, $activated = null)
    {
        $this
            ->setDate($date)
            ->setActivated($activated);
    }
    /**
     * Get Date value
     * @return string
     */
    public function getDate()
    {
        return $this->Date;
    }
    /**
     * Set Date value
     * @param string $date
     * @return \StructType\InterfaceBlockedVehicleResult
     */
    public function setDate($date = null)
    {
        // validation for constraint: string
        if (!is_null($date) && !is_string($date)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($date, true), gettype($date)), __LINE__);
        }
        $this->Date = $date;
        return $this;
    }
    /**
     * Get Activated value
     * @return bool
     */
    public function getActivated()
    {
        return $this->Activated;
    }
    /**
     * Set Activated value
     * @param bool $activated
     * @return \StructType\InterfaceBlockedVehicleResult
     */
    public function setActivated($activated = null)
    {
        // validation for constraint: boolean
        if (!is_null($activated) && !is_bool($activated)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($activated, true), gettype($activated)), __LINE__);
        }
        $this->Activated = $activated;
        return $this;
    }
}
